# $Revision: 1.25 $, $Date: 2002/07/16 20:37:36 $
Summary:	Arbitrary precision calculator
Summary(pl):	Kalkulator operujcy na liczbach z dowoln dokadnoci
Name:		calc
Version:	2.11.5t3
Release:	3
License:	LGPL
Group:		Applications/Math
Source0:	ftp://ftp.uu.net/pub/calc/%{name}-%{version}.tar.gz
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calc is arbitrary precision arithmetic system that uses a C-like
language. Calc is useful as a calculator, an algorithm prototyped and
as a mathematical research tool. It comes with a rich set of
mathematical, programmatic and stdio functions.

%description -l pl
Calc jest systemem arytmetycznym o nieograniczonej dokadnoci,
uywajcym jzyka podobnego do C. Calc jest przydatny jako kalkulator,
narzdzie do testowania algorytmw i do bada matematycznych. Do
samego programu doczony jest bogaty zestaw funkcji bibliotecznych -
matematycznych, programistycznych i funkcji wejcia/wyjcia

%package devel
Summary:	Calc header files
Summary(pl):	Pliki nagwkowe Calca
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
These header files are neccessary to build programs using Calc math
libraries.

%description devel -l pl
Te pliki nagwkowe s niezbdne przy budowaniu programw
wykorzystujcych biblioteki matematyczne Calca.

%package static
Summary:	Calc static libraries
Summary(pl):	Biblioteki statyczne Calca
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Libraries containing a set of Calc functions to use in other
applications.

%description static -l pl
Biblioteki zawierajce komplet funkcji Calca do wykorzystania we
wasnych programach.

%prep
%setup  -q

%build
%{__make} CFLAGS="%{rpmcflags}" \
	USE_READLINE=-DUSE_READLINE \
	READLINE_LIB="-lreadline -lhistory" \
	READLINE_INCLUDE=%{_includedir} \
	BINDIR=%{_bindir} \
	TOPDIR=%{_datadir} \
	INCDIR=%{_includedir} \
	MANDIR=%{_mandir}/man1 \
	HELPDIR=%{_datadir}/calc/help \
	CUSTOMLIBDIR=%{_datadir}/calc/custom \
	CUSTOMHELPDIR=%{_datadir}/calc/custhelp \
	SCRIPTDIR=%{_datadir}/calc/cscript

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/calc/{cscript,custom,help} \
	$RPM_BUILD_ROOT{%{_includedir},%{_mandir}/man1,%{_libdir}} \
	$RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	TOPDIR=$RPM_BUILD_ROOT%{_datadir} \
	INCDIR=$RPM_BUILD_ROOT%{_includedir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	HELPDIR=$RPM_BUILD_ROOT%{_datadir}/calc/help \
	CUSTOMLIBDIR=$RPM_BUILD_ROOT%{_datadir}/calc/custom \
	CUSTOMHELPDIR=$RPM_BUILD_ROOT%{_datadir}/calc/custhelp \
	SCRIPTDIR=$RPM_BUILD_ROOT%{_datadir}/calc/cscript

mv -f $RPM_BUILD_ROOT%{_datadir}/calc{/,/custom}/*.a $RPM_BUILD_ROOT%{_libdir}
mv -f cal/README README-cal

rm -f $RPM_BUILD_ROOT%{_datadir}/calc/README

find $RPM_BUILD_ROOT%{_datadir}/calc -type f | \
	xargs perl -pi -e 's|#!/usr/local/bin/calc|#!%{_bindir}/calc|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/calc
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%doc BUGS CHANGES README README-cal LIBRARY sample/README_SAMPLE
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: calc.spec,v $
Revision 1.25  2002/07/16 20:37:36  kloczek
- release 3.

Revision 1.24  2002/07/16 14:13:13  krolik
-cosmetics %doc section

Revision 1.23  2002/04/25 15:56:57  arturs
fixed a small typo

Revision 1.22  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/11 09:39:56  kloczek
- release 2: changed License to LGPL (notised by maintainer :)

Revision 1.19  2002/02/02 19:56:26  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.18  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/03 16:44:45  filon
- use %{name} macro in req for devel

Revision 1.16  2001/05/07 16:04:04  baggins
- typo

Revision 1.15  2001/05/07 14:58:14  baggins
- replace /usr/local/bin to /usr/bin

Revision 1.14  2001/05/07 13:45:29  baggins
- updated to 2.11.5t3

Revision 1.13  2001/04/13 01:43:11  kloczek
- release 2,
- spec adapterized,
- added using %%{rpmcflags} macro,
- rebuild against readline 4.2.

Revision 1.12  2000/09/04 19:34:19  kloczek
- updated to 2.11.2t1.0.

Revision 1.11  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.9  2000/04/19 23:45:13  kravietz
- fixed a typo (devl instead of devel) in Requires

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/23 14:43:20  kloczek
- release 2,
- rebuild agains readline 4.1.

Revision 1.5  2000/02/28 18:42:09  kloczek
- fixed two typos.

Revision 1.4  2000/02/28 17:06:08  kloczek
- typo.

Revision 1.3  2000/02/28 16:46:41  kloczek
- some cosmetics,
- removed %%{_datadir}/calc/README (included to %doc files list).

Revision 1.2  2000/02/28 14:00:03  zagrodzki
- added missing %doc

Revision 1.1  2000/02/28 13:52:26  zagrodzki
- initial release
